wreport::DTable Class Referenceabstract

BUFR/CREX table D with Dxxyyy aggregate code expansions. More...

`#include <dtable.h>`

## Public Member Functions

virtual std::string | pathname () const =0
| Return the pathname of the file from which this table has been loaded.
virtual Opcodes | query (Varcode var) const =0
| Query the DTable.

## Static Public Member Functions

static const DTable * | load_bufr (const std::string &pathname)
| Return a BUFR D table, by file name.
static const DTable * | load_crex (const std::string &pathname)
| Return a CREX D table, by file name.

## Detailed Description

BUFR/CREX table D with Dxxyyy aggregate code expansions.

## Member Function Documentation

## load_bufr()

const DTable * wreport::DTable::load_bufr | ( | const std::string & | pathname | ) |

static

Return a BUFR D table, by file name.

Once loaded, the table will be cached in memory for reuse, and further calls to load_bufr() will return the cached version.

References pathname().

## load_crex()

const DTable * wreport::DTable::load_crex | ( | const std::string & | pathname | ) |

static

Return a CREX D table, by file name.

Once loaded, the table will be cached in memory for reuse, and further calls to load_crex() will return the cached version.

References pathname().

## query()

virtual Opcodes wreport::DTable::query | ( | Varcode | var | ) | const

pure virtual

Query the DTable.

Parameters

  var | entry code (i.e. DXXYYY as a wreport::Varcode WR_VAR(3, xx, yyy).

Returns
  the bufrex_opcode chain that contains the expansion elements (must be deallocated by the caller using bufrex_opcode_delete)

The documentation for this class was generated from the following file:

- dtable.h